/*
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.facebook.samples.litho.kotlin.treeprops

import android.graphics.Typeface
import com.facebook.litho.Component
import com.facebook.litho.ComponentScope
import com.facebook.litho.KComponent
import com.facebook.litho.getTreeProp
import com.facebook.litho.widget.Text

class TreePropsChildComponent : KComponent() {
  override fun ComponentScope.render(): Component? {
    // using_tree_prop_start
    val color = getTreeProp<Int>()
    val typeface = getTreeProp<Typeface>()
    val title = getTreeProp<String>()
    // using_tree_prop_end
    return Text(text = title, typeface = typeface, backgroundColor = color)
  }
}
